Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class EjbRefMetaData

    java.lang.Object
      org.jboss.metadata.MetaData
          org.jboss.metadata.EjbRefMetaData

All Implemented Interfaces:
  Cloneable, XmlLoadable

public class EjbRefMetaData
extends MetaData

Version:
  $Revision: 1.6 $
Author:
  Sebastien Alborini
See Also:

Field Summary

Fields inherited from class org.jboss.metadata.MetaData
`log, TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`EjbRefMetaData()`

Method Summary
`String` | `getHome()`
`String` | `getInvokerBinding(String bindingName)`
`String` | `getJndiName()`
`String` | `getLink()`
`String` | `getName()`
`String` | `getRemote()`
`String` | `getType()`
`void` | `importEjbJarXml(Element element)` Non-operation.
`void` | `importJbossXml(Element element)` Non-operation.
`void` | `importJbossXml(String invokerBinding, Element element)`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementAttribute, getElementContent, getElementContent, getFirstElementContent, getOptionalChild, getOptionalChild, getOptionalChildBooleanContent, getOptionalChildBooleanContent, getOptionalChildContent, getOptionalChildContent, getUniqueChild, getUniqueChildContent, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EjbRefMetaData

    public EjbRefMetaData()

Method Detail

### getName

    public String getName()

### getType

    public String getType()

### getHome

    public String getHome()

### getRemote

    public String getRemote()

### getLink

    public String getLink()

### getJndiName

    public String getJndiName()

### getInvokerBinding

    public String getInvokerBinding(String bindingName)

### importEjbJarXml

    public void importEjbJarXml(Element element)
                         throws org.jboss.deployment.DeploymentException

  Description copied from class: `MetaData`
  Non-operation.

  Overrides:
    `importEjbJarXml` in class `MetaData`
  Parameters:
    `element` -
  Throws:
    `org.jboss.deployment.DeploymentException`

### importJbossXml

    public void importJbossXml(Element element)
                        throws org.jboss.deployment.DeploymentException

  Description copied from class: `MetaData`
  Non-operation.

  Overrides:
    `importJbossXml` in class `MetaData`
  Parameters:
    `element` -
  Throws:
    `org.jboss.deployment.DeploymentException`

### importJbossXml

    public void importJbossXml(String invokerBinding,
                               Element element)
                        throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.